
Smart Proxy - Feature #61

Add Microsoft DNS Support

11/05/2009 01:31 PM - Ohad Levy

Status: Resolved   

Priority: Normal   

Assignee: Paul Kelly   

Category: DNS   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Related issues:

Is duplicate of Smart Proxy - Feature #3991: dnscmd provider for smart-proxy ... Closed 01/10/2014

Is duplicate of Foreman - Feature #1685: Windows DNS: Secure connection using... Closed 06/14/2012

History

#1 - 12/16/2010 08:37 AM - Ohad Levy

- Project changed from Foreman to Smart Proxy

- Category changed from DNS to DNS

- Target version deleted (0.3)

#2 - 01/22/2011 03:39 AM - Paul Kelly

- Status changed from New to Feedback

This support is provided by the ISC DNS smart-proxy code. It works on both ISC and Microsoft servers.

Is there some additional work required on this ticket?

#3 - 02/08/2011 07:24 AM - Ohad Levy

- Status changed from Feedback to Closed

#4 - 02/20/2011 10:49 AM - Ohad Levy

- Status changed from Closed to Feedback

would it be possible to use a windows host to update ms dns as well?

(i.e. equiv of nsupdate but from a pure windows setup).

#5 - 03/17/2011 03:02 PM - Ohad Levy

just for documentation sake... if your Active Directory zone is restricted (e.g. secure updates only) the current approach will not work.

#6 - 11/06/2013 07:45 PM - Dmitry Sakun

It's good to have dnscmd/powershell support on the windows foreman proxy side rather then using nsupdate which creates dynamic DNS record (if

scavenging is turned on these records will be removed from DNS and that's not what you to happen for a productive server)

#7 - 03/04/2014 10:42 AM - Dominic Cleal

- Is duplicate of Feature #3991: dnscmd provider for smart-proxy (Windows) added

#8 - 03/04/2014 10:42 AM - Dominic Cleal

- Is duplicate of Feature #1685: Windows DNS: Secure connection using GSS-TSIG added
#9 - 03/04/2014 10:43 AM - Dominic Cleal

- Status changed from Feedback to Resolved

#1685 implemented GSS-TSIG support for the secure updates issue (albeit only dynamic updates via nsupdate), and #3991 has implemented

dnscmd support.
